import QtQuick 1.0


Rectangle {
    id: element
    width: 326
    height: 262
    radius: 14
    gradient: Gradient {
        GradientStop {
            position: 0.02
            color: "#f16812"
        }

        GradientStop {
            position: 0.12
            color: "#f1d33c"
        }

        GradientStop {
            position: 0.4
            color: "#f9f9f8"
        }

        GradientStop {
            position: 0.72
            color: "#f1d33c"
        }

        GradientStop {
            position: 0.99
            color: "#f16812"
        }
    }
    border.width: 0
    border.color: "#f16812"
    smooth: true


    property string image1_source : "";
    property string text1_text : "";
    property int m_constAngle: 70;
    property int m_myAngle: 70;
    property int koord: (m_item.width - element.width) / 9;

    Image {
        id: image1
        x: (element.width - image1.width)/2
        y: element.height * 0.05
        width:  250
        height: 200
        smooth: true
        fillMode: Image.Stretch
        source: image1_source;
    }

    Text {
        id: text1
        x: element.width * 0.1
        y: (element.height * 0.05) + image1.height + 5
        width: element.width - element.width*0.2  //250
        height: 80
        color: "#3c0909"
        text: text1_text
        horizontalAlignment: Text.AlignLeft
        smooth: true
        verticalAlignment: Text.AlignTop
        styleColor: "#ffffff"
        wrapMode: Text.WordWrap
        font.bold: true
        font.family: "Arial"
        font.pixelSize: 14
    }



       state: "0"
       y: 120

       transform: Rotation {
           id: rotation
           origin.x: element.width/2;
           origin.y: element.height/2
           axis { x: 0; y: 1; z: 0 }
           angle: element.m_myAngle
       }

       states: [
           State {
                      name: "1"
                      PropertyChanges {target: element;
                                       x: - element.koord - element.width/2;
                                       z: 1;
                                       m_myAngle: m_constAngle;
                                       opacity: 0}

                  },
           State {
                      name: "2"
                      PropertyChanges {target: element; x: element.koord - element.width/2; z: 2; m_myAngle: m_constAngle; opacity: 0.3}

                  },
           State {
                       name: "3"
                       PropertyChanges {target: element; x: (element.koord * 2) - element.width/2; z: 3; m_myAngle: m_constAngle; opacity: 0.6}

                 },
           State {
                       name: "4"
                       PropertyChanges {target: element; x: (element.koord * 3) - element.width/2; z: 4; m_myAngle: m_constAngle; opacity: 0.9}

                 },
           State {
                       name: "5"
                       PropertyChanges {target: element; x: (m_item.width/2 - element.width/2); m_myAngle: 0; z: 5; opacity: 1}



                   },
           State {
                       name: "6"
                       PropertyChanges {target: element; x: m_item.width - (element.koord * 3)- element.width/2; m_myAngle: -m_constAngle; z: 4; opacity: 0.9}



                 },
           State {
                       name: "7"
                       PropertyChanges {target: element; x: m_item.width - (element.koord * 2)- element.width/2; m_myAngle: -m_constAngle; z: 3; opacity: 0.6}


                 },
           State {
                       name: "8"
                       PropertyChanges {target: element; x: m_item.width - element.koord - element.width/2; m_myAngle: -m_constAngle; z: 2; opacity: 0.3}


                 },
           State {
                       name: "9"
                       PropertyChanges {target: element; x: m_item.width + element.koord - element.width/2; m_myAngle: -m_constAngle; z: 1; opacity: 0}


                 }

       ]

       transitions: [
           Transition {
               from: "1"
               to: "2"

               PropertyAnimation { properties: "x"; easing.type:Easing.InOutQuad; duration: 1000 }
               PropertyAnimation { properties: "opacity"; easing.type:Easing.InOutQuad; duration: 1000 }
           },

           Transition {
               from: "2"
               to: "3"
               PropertyAnimation { properties: "x"; easing.type:Easing.InOutQuad; duration: 1000 }
               PropertyAnimation { properties: "opacity"; easing.type:Easing.InOutQuad; duration: 1000 }
           },

           Transition {
               from: "3"
               to: "4"
               PropertyAnimation { properties: "x"; easing.type:Easing.InOutQuad; duration: 1000 }
               PropertyAnimation { properties: "opacity"; easing.type:Easing.InOutQuad; duration: 1000 }
           },

           Transition {
               from: "4"
               to: "5"
               PropertyAnimation { properties: "x"; easing.type:Easing.InOutQuad; duration: 1000 }
               PropertyAnimation { properties: "m_myAngle"; duration: 1000 }
               PropertyAnimation { properties: "opacity"; easing.type:Easing.InOutQuad; duration: 1000 }
           },

           Transition {
               from: "5"
               to: "6"
               PropertyAnimation { properties: "x"; easing.type:Easing.InOutQuad ; duration: 1000 }
               PropertyAnimation { properties: "m_myAngle"; duration: 1000 }
               PropertyAnimation { properties: "opacity"; easing.type:Easing.InOutQuad; duration: 1000 }
           },

           Transition {
               from: "6"
               to: "7"
               PropertyAnimation { properties: "x"; easing.type:Easing.InOutQuad; duration: 1000 }
               PropertyAnimation { properties: "opacity"; easing.type:Easing.InOutQuad; duration: 1000 }

           },


           Transition {
               from: "7"
               to: "8"
               PropertyAnimation { properties: "x"; easing.type:Easing.InOutQuad; duration: 1000 }
               PropertyAnimation { properties: "opacity"; easing.type:Easing.InOutQuad; duration: 1000 }

           },

           Transition {
               from: "8"
               to: "9"
               PropertyAnimation { properties: "x"; easing.type:Easing.InOutQuad; duration: 1000 }
               PropertyAnimation { properties: "opacity"; easing.type:Easing.InOutQuad; duration: 1000 }

           }
       ]
}

